MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
PercentProgressDelegate Class Reference

`#include <ProgressDelegate.h>`

Inheritance diagram for PercentProgressDelegate:
[legend]
Collaboration diagram for PercentProgressDelegate:
[legend]

## Public Member Functions
| PercentProgressDelegate (void)
| ~PercentProgressDelegate (void)
void | reportProgress (double fractionDone, const char *message)
| Displays the progress of the operation. More...
bool | getCancelled (void)
| Indicate weather the operation should be cancelled. More...
void | displayWarning (const char *message)
void | setCancelled (bool cancel)
Public Member Functions inherited from ProgressDelegate
virtual | ~ProgressDelegate (void)
void | setTotal (double total)
| Set the total amount of work that must be done. More...
void | updateCompleted (double delta, const char *message)
| Update the amount of work that has been done. More...
double | getProgress (void) const
| Get the fraction the work completed. More...
void | warning (const char *format,...)

## Additional Inherited Members
Protected Member Functions inherited from ProgressDelegate
| ProgressDelegate (void)

## Detailed Description

Definition at line 95 of file ProgressDelegate.h.

## Constructor & Destructor Documentation

PercentProgressDelegate::PercentProgressDelegate | ( | void | ) |  |

PercentProgressDelegate::~PercentProgressDelegate | ( | void | ) |  |

## Member Function Documentation

void PercentProgressDelegate::displayWarning | ( | const char * | message) |  |
| virtual

Reimplemented from ProgressDelegate.

bool PercentProgressDelegate::getCancelled | ( | void | ) |  |
| virtual

This method should be implemented to indicate whether some user-defined event indicates that the operation should be terminated.

Returns
  return true to cancel the long-running operation

Implements ProgressDelegate.

void PercentProgressDelegate::reportProgress | ( | double | progress,
|  | const char * | message
| ) |  |
| virtual

This method should be implemented to report to the client application the progress of a long-running operation.

Parameters

  progress | a value between 0 and 1 (progress = <work completed>=""> / <total work>="">)

Implements ProgressDelegate.

void PercentProgressDelegate::setCancelled | ( | bool | cancel) |  |

The documentation for this class was generated from the following file:

- ProgressDelegate.h

LizardTech